This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 810859 - Review Request: python3-dateutil - Powerful extensions to the standard datetime module
Review Request: python3-dateutil - Powerful extensions to the standard dateti...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 753210
  Show dependency treegraph
 
Reported: 2012-04-09 08:40 EDT by Thomas Spura
Modified: 2012-07-14 17:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-14 17:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
robinlee.sysu: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Spura 2012-04-09 08:40:26 EDT
Spec URL: http://tomspur.fedorapeople.org/review/python3-dateutil.spec
SRPM URL: http://tomspur.fedorapeople.org/review/python3-dateutil-2.0-1.fc16.src.rpm
DIFF to python2-dateutil: http://tomspur.fedorapeople.org/review/python3-dateutils-vs-python2-dateutils.patch

Description:
The dateutil module provides powerful extensions to the standard datetime
module available in Python 2.3+.

$ rpmlint /home/tom/rpmbuild/SRPMS/python3-dateutil-2.0-1.fc16.src.rpm /home/tom/rpmbuild/RPMS/noarch/python3-dateutil-2.0-1.fc16.noarch.rpm
python3-dateutil.src: W: spelling-error Summary(en_US) datetime -> date time, date-time, daytime
python3-dateutil.src: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python3-dateutil.src:16: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 16)
python3-dateutil.noarch: W: spelling-error Summary(en_US) datetime -> date time, date-time, daytime
python3-dateutil.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
2 packages and 0 specfiles checked; 0 errors, 5 warnings.


This package is needed for python3-matplotlib.
Comment 1 Thomas Spura 2012-04-09 08:44:59 EDT
CC'ing maintainers of python-dateutil and using #753210 as python3-matplotlib tracker.
Comment 2 Jon Ciesla 2012-04-09 08:58:53 EDT
This is the same upstream.  Is there a compelling reason to do this as a separate SRPM and not simply a subpackage of python-dateutil?

https://fedoraproject.org/wiki/Packaging:Python#Common_SRPM_vs_split_SRPMs

Has there been discussion of this?
Comment 3 Thomas Spura 2012-04-09 09:09:48 EDT
(In reply to comment #2)
> Is there a compelling reason to do this as a
> separate SRPM and not simply a subpackage of python-dateutil?

On the webpage is mentioned that 2.0 version is for Python >= 3.0:
http://labix.org/python-dateutil#head-2f49784d6b27bae60cde1cff6a535663cf87497b

Ignoring that, I tried to get it working with python2, but without success...

The testsuite fails badly because of many, many unicode vs strings errors and I don't think it makes sense to get it working somehow with python2 because upstream doesn't support it...

To redo it, just change "_thread" to "thread" and run the test.py with python2, e.g.:

ERROR: testZoneInfoFileStart1 (__main__.TZTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test.py", line 3888, in testZoneInfoFileStart1
    self.assertEqual(datetime(2003, 4, 6, 1, 59, tzinfo=tz).tzname(), "EST")
TypeError: tzinfo.tzname() must return None or a string, not 'unicode'

----------------------------------------------------------------------
Ran 478 tests in 0.819s

FAILED (errors=456)

(In reply to comment #2)
> Has there been discussion of this?

Not yet, but I hope the reason from above is enough to have a separate package... :(
Comment 4 Jon Ciesla 2012-04-09 09:28:42 EDT
Sounds rational to me.
Comment 5 Robin Lee 2012-06-15 03:01:24 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python3-dateutil-2.0-1.fc18.noarch.rpm

python3-dateutil.noarch: W: spelling-error Summary(en_US) datetime -> date time, date-time, daytime
python3-dateutil.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python3-dateutil-2.0-1.fc18.src.rpm

python3-dateutil.src: W: spelling-error Summary(en_US) datetime -> date time, date-time, daytime
python3-dateutil.src: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python3-dateutil.src:16: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 16)
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/cheese/Downloads/810859/python-dateutil-2.0.tar.gz :
  MD5SUM this package     : 22297f7e891bcd79a80d9446d8b20542
  MD5SUM upstream package : 22297f7e891bcd79a80d9446d8b20542

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: python-dateutil-1.5-system-zoneinfo.patch (python-
     dateutil-1.5-system-zoneinfo.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: python-dateutil-1.5-system-zoneinfo.patch (python-
     dateutil-1.5-system-zoneinfo.patch)

Generated by fedora-review 0.1.3
External plugins:
Comment 6 Thomas Spura 2012-06-30 07:20:03 EDT
Thanks for the review!

(In reply to comment #5)
> Issues:
> [!]: SHOULD SourceX / PatchY prefixed with %{name}.
>      Note: Patch0: python-dateutil-1.5-system-zoneinfo.patch (python-
>      dateutil-1.5-system-zoneinfo.patch)

Hmm, this blocker is new to me... :)

Spec URL: http://tomspur.fedorapeople.org/review/python3-dateutil.spec
SRPM URL: http://tomspur.fedorapeople.org/review/python3-dateutil-2.0-2.fc16.src.rpm
Comment 7 Robin Lee 2012-06-30 12:46:35 EDT
[!]: SHOULD http://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
[!]: You may re-version the patch to 2.0.

But those issues and the previous one are not serious blockers.

Approved!
Comment 8 Thomas Spura 2012-06-30 17:30:32 EDT
(In reply to comment #7)
> [!]: SHOULD
> http://fedoraproject.org/wiki/Packaging/
> Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
> [!]: You may re-version the patch to 2.0.

I'll do so, when importing, thanks again for the review.

Also adding all current python-dateutil maintainers. If anyone doesn't want to (co-)maintain it, they need to remove themself again...


New Package SCM Request
=======================
Package Name: python3-dateutil
Short Description: Powerful extensions to the standard datetime module
Owners: tomspur jspaleta limb
Branches: f17
InitialCC:
Comment 9 Jon Ciesla 2012-07-01 18:41:47 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-07-04 15:11:44 EDT
python3-dateutil-2.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python3-dateutil-2.0-2.fc17
Comment 11 Fedora Update System 2012-07-05 19:37:15 EDT
python3-dateutil-2.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-07-14 17:49:18 EDT
python3-dateutil-2.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.